// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : ViewValst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ViewValst_PlantNr = grmi.NewField("PlantNr", "QM_ViewValst.PlantNr", "plantnr", grmi.TypeInt)
var ViewValst_ViewId = grmi.NewField("ViewId", "QM_ViewValst.ViewId", "viewid", grmi.TypeString)
var ViewValst_Pos = grmi.NewField("Pos", "QM_ViewValst.Pos", "pos", grmi.TypeInt)
var ViewValst_ValName = grmi.NewField("ValName", "QM_ViewValst.ValName", "valname", grmi.TypeString)
var ViewValst_XStart = grmi.NewField("XStart", "QM_ViewValst.XStart", "xstart", grmi.TypeInt)
var ViewValst_YStart = grmi.NewField("YStart", "QM_ViewValst.YStart", "ystart", grmi.TypeInt)
var ViewValst_Width = grmi.NewField("Width", "QM_ViewValst.Width", "width", grmi.TypeInt)
var ViewValst_Height = grmi.NewField("Height", "QM_ViewValst.Height", "height", grmi.TypeInt)
var ViewValst_Descr = grmi.NewField("Descr", "QM_ViewValst.Descr", "descr", grmi.TypeString)
var ViewValst_LastModify = grmi.NewField("LastModify", "QM_ViewValst.LastModify", "lastmodify", grmi.TypeDateTime)
var ViewValst_LastUser = grmi.NewField("LastUser", "QM_ViewValst.LastUser", "lastuser", grmi.TypeString)
var ViewValst_CreateTime = grmi.NewField("CreateTime", "QM_ViewValst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ViewValst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ViewValst = grmi.NewEntity(
	"QM_ViewValst",
	func() interface{} { return &model.ViewValst{} },
	map[string]grmi.Field{
		ViewValst_PlantNr.Name:    ViewValst_PlantNr,
		ViewValst_ViewId.Name:     ViewValst_ViewId,
		ViewValst_Pos.Name:        ViewValst_Pos,
		ViewValst_ValName.Name:    ViewValst_ValName,
		ViewValst_XStart.Name:     ViewValst_XStart,
		ViewValst_YStart.Name:     ViewValst_YStart,
		ViewValst_Width.Name:      ViewValst_Width,
		ViewValst_Height.Name:     ViewValst_Height,
		ViewValst_Descr.Name:      ViewValst_Descr,
		ViewValst_LastModify.Name: ViewValst_LastModify,
		ViewValst_LastUser.Name:   ViewValst_LastUser,
		ViewValst_CreateTime.Name: ViewValst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ValName", "XStart", "YStart", "Width", "Height", "Descr", "LastUser"})
